package sample.common;

import static sample.common.MessageType.ERROR;
import static sample.common.MessageType.FATAL;
import static sample.common.MessageType.INFO;
import static sample.common.MessageType.WARN;

/**
 * 例外発生時のメッセージ定義域を管理するための列挙型.
 *
 */
public enum MessageCode {

    /** テスト用1. */
    UNEXPECTED_EXCEPTION("UNEXPECTED_EXCEPTION", FATAL),
    /** テスト用1. */
    FORTEST1("E0000001", ERROR),
    /** テスト用2. */
    FORTEST2("E0000001", ERROR),
    /** テスト用3. */
    FORTEST3("E0000001", WARN),
    /** テスト用4. */
    FORTEST4("E0000001", INFO),
    /** テスト用5. */
    FORTEST5("E0000001", INFO),
    /** テスト用6. */
    FORTEST6("E0000001", INFO);


    /** メッセージコード. */
    private final String code;
    /** メッセージ種別. */
    private final MessageType type;

    /**
     * コンストラクタ.
     * @param messageCode メッセージコード
     * @param messageType メッセージ種別
     */
    private MessageCode(final String messageCode,
                         final MessageType messageType) {
        code = messageCode;
        type = messageType;
    }

    /**
     * メッセージコードを取得します.
     * @return メッセージコード
     */
    public String getCode() {
        return code;
    }

    /**
     * メッセージ種別を取得します.
     * @return メッセージ種別
     */
    public MessageType getType() {
        return type;
    }
}
